<template>
  <section
    class="w-full lg:w-3/5 xl:w-2/5 mx-auto"
    :class="{
      'my-3': embedded,
      'my-6': !embedded,
    }"
  >
    <span
      class="block text-center text-gray-400"
      :class="{ 'text-sm': embedded }"
    >
      Загружаем данные...
    </span>

    <v-progress-linear
      color="grey"
      class="mt-2"
      :height="embedded ? 4 : 6"
      indeterminate
      rounded
    />
  </section>
</template>

<script setup lang="ts">
type InlineLoadingIndicatorProps = {
  embedded?: boolean;
};

withDefaults(defineProps<InlineLoadingIndicatorProps>(), {
  embedded: false,
});
</script>